Skip to main content
GET
/
subcontractors
/
{id}
/
insurances
cURL
curl --request GET \
  --url https://api.buildpass.global/subcontractors/{id}/insurances \
  --header 'Authorization: Bearer <token>' \
  --header 'X-BuildPass-Api-Version: <x-buildpass-api-version>'
{
  "data": [
    {
      "id": "doc_clgbsb90b001qjy0f0eo1hspp",
      "createdAt": "2023-10-03T23:19:35.771Z",
      "updatedAt": "2023-10-03T23:19:35.771Z",
      "expiry": "2023-10-03T23:19:35.771Z",
      "name": "Safety Certificate",
      "type": "PUBLIC_LIABILITY",
      "customType": "SDS",
      "status": "WAITING_REVIEW",
      "url": "<string>"
    }
  ],
  "meta": {
    "totalCount": 100,
    "totalPages": 4,
    "offset": 0,
    "limit": 25
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.buildpass.global/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-BuildPass-Api-Version
enum<string>
default:v1
required

What API version to use.

Available options:
v1
Example:

"v1"

Path Parameters

id
string
required
Example:

"sub_clgbsb90b001qjy0f0eo1hspp"

Query Parameters

offset
integer
default:0

The number of items to skip before starting to collect the result set

Example:

0

limit
integer
default:25

The number of items to return.

Required range: x <= 25
Example:

25

type
enum<string>

Filter insurances by type

Available options:
PUBLIC_LIABILITY,
WORK_COVER,
OTHER
Example:

"SWMS"

status
enum<string>

Filter insurances by status

Available options:
CHANGES_REQUESTED,
REVIEWED,
WAITING_REVIEW,
EXPIRED
Example:

"EXPIRED"

customType
string

Filter insurances by custom type

Example:

"SDS"

Response

A list of insurances

data
object[]
meta
object